Skip to main content
GET
/
api
/
v1
/
analytics
/
exports
/
lookups
/
events_properties
Get trackable events' properties/attributes (paginated)
curl --request GET \
  --url https://appex.userpilot.io/api/v1/analytics/exports/lookups/events_properties \
  --header 'Authorization: <authorization>'
{
  "data": [
    {
      "id": 12,
      "key": "url",
      "display_name": "URL",
      "is_auto_property": true,
      "is_mobile_auto_property": false,
      "data_type": "string",
      "category": "css_attribute",
      "description": "Page URL",
      "is_archived": false,
      "event": {
        "id": 33,
        "display_name": "page_view"
      },
      "inserted_at": "2025-01-01T00:00:00Z",
      "last_seen": "2025-01-10T00:00:00Z"
    }
  ],
  "metadata": {
    "cursor": {
      "after": "...",
      "before": null
    },
    "limit": 50,
    "total_count": 53
  }
}

Headers

Authorization
string
required

API authentication token in the format: Token {{API_KEY}}. Obtain your API key from the Userpilot Environment Settings.

Query Parameters

after_cursor
string

Cursor for pagination. Use the value from the previous response's metadata.cursor.after.

Response

200 - application/json

A paginated list of event properties.

data
object[]
metadata
object